:root {
    --blue: #67c1f5;
    --grey: #282828;
    --lightGrey: #444;
}

*{
   box-sizing: border-box;
}

html {
  overscroll-behavior-x: none;
}

html, body {
    overflow-x: hidden;
}

body {
    margin: 0;
    font-family: "Mulish", Arial, sans-serif;
    background-color: var(--lightGrey);
}

main {
    position: relative;
    overflow-x: hidden;
}

header {
    display: flex;
    flex-direction: column;
    position: fixed;
    z-index: 30;
    width: 100vw;
    color: white;
    padding-top: 1vw;
}

#inner {
    display: flex;
    flex-direction: column;
}

#mobile div div {
    margin: 0;
    margin-bottom: 5px;
}

#logo {
    width: 31.481vh;
    height: 10vh;
    margin: 4px;
}

#logo:hover {
    cursor: pointer;
}

.switch input {
    opacity: 0;
    width: 0;
    height: 0;
}

.slider {
    position: relative;
    display: inline-block;
    width: 32px;
    height:18px;
    background-color: #ccc;
    border-radius: 34px;
    cursor: pointer;
    transition: background-color 0.3s ease-in-out;
}

.slider::before {
    content: "";
    position: absolute;
    width: 13px;
    height: 13px;
    background-color: white;
    border-radius: 50%;
    left: 3px;
    bottom: 3px;
    transition: transform 0.3s ease-in-out;
}

input:checked + .slider {
    background-color: #2196F3;
}

input:checked + .slider::before {
    transform: translateX(14px);
}

#count {
    background-color: white;
    color: black;
    width: fit-content;
    margin: 0;
    margin-left: 10px;
    height: fit-content;
    border-radius: 15px;
    padding: 2px;
    font-size: small;
}

#filters {
    margin-left: 10px;
    color: white;
    width: fit-content;
}

#filters div {
    margin-top: 2px;
}

#angle {
    position: fixed;
    width: 110%;
    max-width: 200vw;
    height: 34vh;
    top: -12vh;
    left: -5%;
    transform: rotate(-5deg);
    background-color: var(--lightGrey);
    z-index: 10;
    box-shadow: 0px 0px 40px 5px rgb(0, 0, 0);
    pointer-events: none;
}

#angle.more {
    height: 47vh;
}

#content {
    padding-top: 20vh;
    background-color: var(--grey);
    display: grid;
    grid-template-columns: repeat(auto-fit,minmax(300px, 1fr));
    grid-gap: 1rem;
}

figcaption {
    font-size: larger;
}

figure {
    background-color: rgba(0, 0, 0, 0);
    color: white;
    max-width: 500px;
}

figure img {
    margin: 0 2px;
}

.foto {
    width: 100%;
    min-height: 100px;
    height: auto;
}

figure p {
    width: fit-content;
}

.div2 {
    margin-left: auto;
}

p {
    margin: 0;
}

#foot {
    height: 30vw;
    position: relative;
    overflow: hidden;
    background-color: var(--grey);
}

#Bangle {
    position: absolute;
    bottom: -20vh;
    left: -5vw;

    width: 110vw;
    height: 20vh;

    background-color: var(--lightGrey);
    transform: rotate(-5deg);
    transform-origin: bottom left;
    box-shadow: 0px 0px 40px 5px rgb(0, 0, 0);
}

footer {
    width: 100vw;
    bottom: 0;
    min-height: 100px;
    height: fit-content;
    position: absolute;
    z-index: 5;
}

#pick {
    margin: 5px;
}

#clearBTN {
    background-color: red;
    color: white;
    margin: 5px;
    position: absolute;
    bottom: 0px;
}

#clearBTN:hover {
    cursor: pointer;
}

button {
    height: fit-content;
    width: fit-content;
    border-radius: 15px;
    border: 0;
}

select {
    border-radius: 15px;
    border: 0;
    margin-left: 3px;
    cursor: pointer;
}

input {
    border-radius: 15px;
    border: 0;
    margin-left: 3px;
}

#sort {
    margin-left: 5px;
}

#big {
    display: none;
    height: fit-content;
}

.big {
    margin: 0 5px;
    margin-bottom: 5px;
    background-color: var(--grey);
    border-radius: 15px;
    padding: 4px;
    font-weight: 400;
}

.big * {
    height: 20px;
}

.big p {
    font-weight: bold;
    margin-left: 2px;
}

.marL {
    margin-left: 2px;
}

.row {
    display: flex;
    flex-direction: row;
}

.col {
    display: flex;
    flex-direction: column;
}

.right {
    margin-right: 5px;
}

.hide {
    display: none;
}

@media screen and (min-width: 740px) {
    #logo {
        width: 30vw;
        height: 9.529vw;
        margin: 1vw;
        margin-top: 0;
    }

    #angle {
        height: 25vh;
    }

    #angle.more {
        height: 37vh;
    }

    figure:hover {
        z-index: 0;
        transform: scale(1.1);
        filter: drop-shadow(16px 16px 30px var(--blue));
    }

    #inner {
        flex-direction: row;
    }

    #count {
        margin-left: 10px;
    }

    #count2 {
        margin-left: 5px;
    }

    #Bangle {
        position: fixed;
    }

    footer {
        position: fixed;
        height: 100px;
        display: flex;
        z-index: 1;
        justify-content: flex-end;
    }

    #foot {
        height: 7vw;
    }

    #clearBTN {
        bottom: 100px;
    }

    body {
        background-color: var(--grey);
    }

    #big {
        display: flex;
        flex-wrap: wrap;
    }

    #mobile {
        display: none;
    }

    img:hover {
        cursor: pointer;
    }
}

@media screen and (max-height: 558px) {
    #angle {
        height: 150px;
    }

    #content {
        padding-top: 90px;
    }

    #foot {
        height: 23vw;
    }

    footer {
        position: absolute;
    }

    #Bangle {
        position: absolute;
    }
}
